> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.kiwiform.com/llms.txt.
> For full documentation content, see https://developers.kiwiform.com/llms-full.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.kiwiform.com/_mcp/server.

# Unsubscribe from Form Submissions

DELETE https://api/api/zapier/hooks/unsubscribe?hookUrl={YOUR_TARGET_WEBHOOK_URL}

### **Overview**

Deactivates and removes an existing REST Hook subscription. Once unsubscribed, KiwiForm will stop sending real-time updates to the specified `hookUrl`.

### **Parameters**

| Parameter | Type | Required | Description |
| --- | --- | --- | --- |
| `hookUrl` | `string` | **Yes** | The URL that was previously registered for notifications. |

### **Note**

You can send the `hookUrl` either as a **Query Parameter** or as a **JSON Body** field. Both formats are supported.

Reference: https://developers.kiwiform.com/kiwiform-api/unsubscribe-from-form-submissions

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Kiwiform API
  version: 1.0.0
paths:
  /api/zapier/hooks/unsubscribe?hookUrl={YOUR_TARGET_WEBHOOK_URL}:
    delete:
      operationId: unsubscribe-from-form-submissions
      summary: Unsubscribe from Form Submissions
      description: "### **Overview**\n\nDeactivates and removes an existing REST Hook subscription. Once unsubscribed, KiwiForm will stop sending real-time updates to the specified\_`hookUrl`.\n\n### **Parameters**\n\n| Parameter | Type | Required | Description |\n| --- | --- | --- | --- |\n| `hookUrl` | `string` | **Yes** | The URL that was previously registered for notifications. |\n\n### **Note**\n\nYou can send the\_`hookUrl`\_either as a\_**Query Parameter**\_or as a\_**JSON Body**\_field. Both formats are supported."
      tags:
        - ''
      parameters:
        - name: YOUR_TARGET_WEBHOOK_URL
          in: path
          required: true
          schema:
            type: string
        - name: hookUrl
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Unsubscribe from Form
                  Submissions_Response_200
servers:
  - url: https://api
components:
  schemas:
    Unsubscribe from Form Submissions_Response_200:
      type: object
      properties:
        success:
          type: boolean
      required:
        - success
      title: Unsubscribe from Form Submissions_Response_200

```

## SDK Code Examples

```python Unsubscribe from Form Submissions_example
import requests

url = "https://api/api/zapier/hooks/unsubscribe"

querystring = {"hookUrl":"YOUR_TARGET_WEBHOOK_URL"}

payload = { "hookUrl": "https://example.com/kiwiform/webhook" }
headers = {"Content-Type": "application/json"}

response = requests.delete(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript Unsubscribe from Form Submissions_example
const url = 'https://api/api/zapier/hooks/unsubscribe?hookUrl=YOUR_TARGET_WEBHOOK_URL';
const options = {
  method: 'DELETE',
  headers: {'Content-Type': 'application/json'},
  body: '{"hookUrl":"https://example.com/kiwiform/webhook"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Unsubscribe from Form Submissions_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api/api/zapier/hooks/unsubscribe?hookUrl=YOUR_TARGET_WEBHOOK_URL"

	payload := strings.NewReader("{\n  \"hookUrl\": \"https://example.com/kiwiform/webhook\"\n}")

	req, _ := http.NewRequest("DELETE", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Unsubscribe from Form Submissions_example
require 'uri'
require 'net/http'

url = URI("https://api/api/zapier/hooks/unsubscribe?hookUrl=YOUR_TARGET_WEBHOOK_URL")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"hookUrl\": \"https://example.com/kiwiform/webhook\"\n}"

response = http.request(request)
puts response.read_body
```

```java Unsubscribe from Form Submissions_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.delete("https://api/api/zapier/hooks/unsubscribe?hookUrl=YOUR_TARGET_WEBHOOK_URL")
  .header("Content-Type", "application/json")
  .body("{\n  \"hookUrl\": \"https://example.com/kiwiform/webhook\"\n}")
  .asString();
```

```php Unsubscribe from Form Submissions_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('DELETE', 'https://api/api/zapier/hooks/unsubscribe?hookUrl=YOUR_TARGET_WEBHOOK_URL', [
  'body' => '{
  "hookUrl": "https://example.com/kiwiform/webhook"
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Unsubscribe from Form Submissions_example
using RestSharp;

var client = new RestClient("https://api/api/zapier/hooks/unsubscribe?hookUrl=YOUR_TARGET_WEBHOOK_URL");
var request = new RestRequest(Method.DELETE);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"hookUrl\": \"https://example.com/kiwiform/webhook\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Unsubscribe from Form Submissions_example
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = ["hookUrl": "https://example.com/kiwiform/webhook"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api/api/zapier/hooks/unsubscribe?hookUrl=YOUR_TARGET_WEBHOOK_URL")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "DELETE"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```